$ErrorActionPreference = 'Stop';

$packageName = 'SwissFileKnife'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.7/sfk187.exe/download'
$url64      = 'https://sourceforge.net/projects/swissfileknife/files/1-swissfileknife/1.8.7/sfk187.exe/download'

$installerPackage = Join-Path $toolsDir "sfk.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '1fe386085e2e2a4559c0b7a7b9d2ddb6ca76752ff327bab1d1ca40e4e9c7b8e8'
  checksumType  = 'sha256'
  checksum64    = '1fe386085e2e2a4559c0b7a7b9d2ddb6ca76752ff327bab1d1ca40e4e9c7b8e8'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
